
import Color from 'color'

let statusMap = [
    {
        "label": "空闲",
        "value": "idle",
        "color": "#198754",
        "retain": false
    },
    {
        "label": "忙碌",
        "value": "onBreak",
        "color": "#F09D00",
        "retain": false
    },
    {
        "label": "用餐",
        "value": "dining",
        "color": "#83261e",
        "retain": false
    },
    {
        "label": "休假",
        "value": "holiday",
        "color": "#b3261e",
        "retain": false
    },
    {
        "label": "振铃",
        "value": "ringing",
        "color": "#e63757",
        "retain": true
    },
    {
        "label": "通话",
        "value": "answer",
        "color": "#b3261e",
        "retain": true
    },
    {
        "label": "静音",
        "value": "muted",
        "color": "#34AB62",
        "retain": true
    },
    {
        "label": "转接",
        "value": "transfer",
        "color": "#C8D541",
        "retain": true
    },
    {
        "label": "耳语",
        "value": "whisper",
        "color": "#43539D",
        "retain": true
    },
    {
        "label": "监听",
        "value": "eavesdrop",
        "color": "#0824F8",
        "retain": true
    },
    {
        "label": "未注册",
        "value": "unavailable",
        "color": "#bbbbbb",
        "retain": true
    },
    {
        "label": "话后",
        "value": "wrapUp",
        "color": "#E36B09",
        "retain": true
    }
]

const statusList = ['answer', 'transfer', 'whisper', 'eavesdrop', 'ringing', 'idle', 'onBreak'];


export function updateStatusMap(x) {
    if (Array.isArray(x)) {
        statusMap = x;
    }
}

export function getStatusPosition(s) {
    let pos = statusList.indexOf(s);
    if (pos === -1) {
        pos = statusList.length + 1
    }
    return pos
}

export function getUserStatus() {
    return statusMap.filter(v => {
        return !v.retain;
    })
}

export function getStatusText(s) {
    for (let i in statusMap) {
        let row = statusMap[i];
        if (row.value === s) {
            return row.label;
        }
    }
    return s;
}

export function getStatusTextColor(s) {
    for (let i in statusMap) {
        let row = statusMap[i];
        if (row.value === s) {
            return row.color;
        }
    }
    return '#1c1d21'
}

export function getStatusBGColor(s) {
    let c = getStatusTextColor(s);
    return Color(c).fade(0.8).hsl()
}