import { createRouter, createWebHashHistory } from 'vue-router'
import LayoutView from '@/layouts/default/Layout.vue'
import { getMenus, buildRoutes } from '@/assets/js/menu'

const components = import.meta.glob("../views/**/**.vue")

const childRoutes = buildRoutes(getMenus(), components);

const router = createRouter({
  history: createWebHashHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      redirect: '/dashboard'
    },
    {
      path: '/',
      name: 'App',
      component: LayoutView,
      children: childRoutes
    },
    {
      path: '/login',
      name: 'Login',
      meta: { allowGuest: true },
      component: () => import('../views/account/Login.vue')
    },
    {
      path: '/redirect/:path*',
      component: () => import('../views/redirect/Redirect.vue'),
    }
  ]
})


export default router
